# Poco::XML

# class XMLStreamParserException

Library: XML
Package: XML
Header: Poco/XML/XMLStreamParserException.h

## Inheritance

Direct Base Classes: XMLException

All Base Classes: Poco::Exception, Poco::RuntimeException, XMLException, std::exception

## Member Summary

Member Functions: column, description, line, name, what

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### XMLStreamParserException

XMLStreamParserException(
const XMLStreamParser & param503,
const std::string & description
);

### XMLStreamParserException

XMLStreamParserException(
const std::string & name,
Poco::UInt64 line,
Poco::UInt64 column,
const std::string & description
);

## Destructor

### ~XMLStreamParserException

virtual ~XMLStreamParserException();

## Member Functions

### column

Poco::UInt64 column() const;

### description

const std::string & description() const;

### line

Poco::UInt64 line() const;

### name

const char * name() const noexcept;

See also: Poco::XML::XMLException::name()

### what

virtual const char * what() const;

See also: Poco::Exception::what()